<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.estate.mapper.CompanyMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="companyResultMap" type="org.springblade.estate.entity.Company">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="name" property="name"/>
        <result column="principal" property="principal"/>
        <result column="credit_code" property="creditCode"/>
        <result column="office_phone" property="officePhone"/>
        <result column="address" property="address"/>
        <result column="account" property="account"/>
        <result column="account_name" property="accountName"/>
        <result column="account_bank" property="accountBank"/>
        <result column="account_site" property="accountSite"/>
    </resultMap>


    <select id="selectCompanyPage" resultMap="companyResultMap">
        select * from estate_company where is_deleted = 0
    </select>

</mapper>
